class C {
    boolean foo() {
	return false;
    }
    
    static public void main(String[] args) {
	C a = new C();
	C b = null;
	C c = a;
	for (int i=0; i < 10 && a.foo(); i++) {
	    b = new C();
	    c = new C();
	}
	b.foo(); // b could be null
	c.foo(); // c cannot be null
    }

}
